import {Route, Routes, Outlet, Navigate} from 'react-router-dom'
import {PageLink, PageTitle} from '../../../_metronic/layout/core'
import {GptAddService} from './components/GptAddService'
import {GptNewProject} from './components/GptNewProject'
import {GptSandboxArea} from './components/GptSandboxArea'


const gptGeneratorsBreadCrumbs: Array<PageLink> = [
  {
    title: 'Integration generation',
    path: '/klokgpt/generate',
    isSeparator: false,
    isActive: false,
  },
  {
    title: '',
    path: '',
    isSeparator: true,
    isActive: false,
  },
]

const GptGeneratorsPage = () => (
  <Routes>
    <Route element={<Outlet />}>
      <Route
        path='newproject'
        element={
          <>
            <PageTitle breadcrumbs={gptGeneratorsBreadCrumbs}>New Project</PageTitle>
            <GptNewProject />
          </>
        }
      />
      <Route
        path='addservice'
        element={
          <>
            <PageTitle breadcrumbs={gptGeneratorsBreadCrumbs}>Add new service</PageTitle>
            <GptAddService />
          </>
        }
      />
      <Route
        path='sandboxarea'
        element={
          <>
            <PageTitle breadcrumbs={gptGeneratorsBreadCrumbs}>Sandbox Area</PageTitle>
            <GptSandboxArea />
          </>
        }
      />
      <Route index element={<Navigate to='/klokgpt/generate/newproject' />} />
    </Route>
  </Routes>
)

export default GptGeneratorsPage
